%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	File-chdir

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl File::chdir Module
Name:		perl-%{perlname}
Version:	0.09
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=File+chdir
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Perl's chdir() has the unfortunate problem of being very, very, very global. If
any part of your program calls chdir() or if any library you use calls chdir(), 
it changes the current working directory for the whole program.

This sucks.
File::chdir gives you an alternative, $CWD and @CWD. These two variables combine
all the power of chdir(), File::Spec and Cwd.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.09-1
- Version Update
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.06-1
- Initial Build
